<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yfd.platform.modules.basedata.mapper.DeviceChannelMapper">

    <select id="selectDeviceByCode" resultType="java.util.Map">
        select * from mon_device where deviceId in
        <foreach collection="codes.split(',')" item="code" open="(" close=")" separator=",">
            #{code}
        </foreach>
    </select>
</mapper>
